GLFW

- Documentation
- Download
- Media
- Community

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
GLFWgammaramp Struct Reference
Monitor reference

Gamma ramp. More...

## Data Fields
unsigned short * | red
unsigned short * | green
unsigned short * | blue
unsigned int | size

## Detailed Description

This describes the gamma ramp for a monitor.

See also
  Gamma ramp
  glfwGetGammaRamp glfwSetGammaRamp

Since
  Added in version 3.0.

## Field Documentation

unsigned short* GLFWgammaramp::blue

An array of value describing the response of the blue channel.

unsigned short* GLFWgammaramp::green

An array of value describing the response of the green channel.

unsigned short* GLFWgammaramp::red

An array of value describing the response of the red channel.

unsigned int GLFWgammaramp::size

The number of elements in each array.

The documentation for this struct was generated from the following file:

- glfw3.h